ランタイム: Mix::Scene::ISkyDome Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Protected Member Functions | List of all members
Mix::Scene::ISkyDome Class Referenceabstract

スカイドームインターフェース More...

`#include <ISkyDome.h>`

Inheritance diagram for Mix::Scene::ISkyDome:
[legend]
Collaboration diagram for Mix::Scene::ISkyDome:
[legend]

## Classes

struct | BASE_SETTINGS
| 基本設定構造体 More...
struct | CLOUD_GLOBAL_SETTINGS
| 雲グローバル設定構造体 More...
struct | CLOUD_LAYER_SETTINGS
| 雲レイヤーパラメータ構造体 More...
struct | HEMISPHERE_SETTINGS
| 半球設定構造体 More...
struct | PANORAMA_SETTINGS
| 遠景設定構造体 More...
struct | PLANET_INFO
| 惑星情報構造体 More...
struct | SUN_LIGHT
| サンライト構造体 More...

## Public Types

enum | QUALITY { QL_LOW = 0, QL_MIDDLE = 1, QL_HIGH = 2 }
| 品質列挙定数 More...
enum | CONSTRAINT_TYPE { CR_XYZ = 0, CR_XZ = 1 }
| コンストレイントタイプ More...
Public Types inherited from Mix::Scene::IRendererObject

enum

TYPE {
UNDEFINED = 0, UNIVERSAL_CAMERA = 1, VIEW_CAMERA = 2, HEMISPHERE_LIGHT = 3,
DIRECTIONAL_LIGHT = 4, SPOT_LIGHT = 5, POINT_LIGHT = 6, SKY_DOME = 7,
ATMOSPHERE_SCATTER = 8, LIGHT_SHAFTS_CASTER = 9, ACTOR_NODE = 10, ACTOR_MODEL = 11,
TERRAIN_MODEL = 12, LEAVING_PARTICLE = 13, SCATTER_PARTICLE = 14, PLANTER = 15,
WATER_POOL = 16, DYNAMICS_WORLD = 17, FLOOR = 18, GHOST = 19
}

| タイプ列挙定数 More...

## Public Member Functions

全般
virtual Boolean | IsEnabled (void) const =0
| 有効かどうかを取得します More...
virtual void | SetEnabled (Boolean state)=0
| 有効にするかどうかを設定します More...
virtual Mix::Scene::ISkyDome::CONSTRAINT_TYPE | GetConstraintType (void) const =0
| 拘束タイプを取得します More...
virtual void | SetConstraintType (Mix::Scene::ISkyDome::CONSTRAINT_TYPE type)=0
| 拘束タイプを設定します More...
virtual Mix::Scene::ISkyDome::QUALITY | GetHemisphereQuality (void) const =0
| 半球の品質を取得します More...
virtual const Mix::Scene::ISkyDome::HEMISPHERE_SETTINGS & | GetHemisphereSettings (void) const =0
| 半球の設定を取得します More...
virtual void | SetHemisphereSettings (const Mix::Scene::ISkyDome::HEMISPHERE_SETTINGS &settings)=0
| 半球を設定します More...
virtual const Mix::Scene::ISkyDome::PLANET_INFO & | GetPlanetInfo (void) const =0
| 惑星の情報を取得します More...
太陽
virtual const Mix::Vector3 & | GetSunPosition (void) const =0
| 太陽の位置を取得します More...
virtual void | SetSunPosition (const Mix::Vector3 &pos)=0
| 太陽の位置を設定します More...
virtual const Mix::Scene::ISkyDome::SUN_LIGHT & | GetSunLight (void) const =0
| 太陽によるライティングを取得します More...
ベース
virtual const Mix::Scene::ISkyDome::BASE_SETTINGS & | GetBaseSettings (void) const =0
| ベースの設定を取得します More...
virtual void | SetBaseSettings (const Mix::Scene::ISkyDome::BASE_SETTINGS &settings)=0
| ベースを設定します More...
virtual Boolean | GetBaseTexture (Mix::Graphics::ITexture **ppTexture)=0
| ベースのテクスチャを取得します More...
virtual void | SetBaseTexture (Mix::Graphics::ITexture *pTexture)=0
| ベースのテクスチャを設定します More...
クラウド ( 雲 )
virtual Boolean | IsCloudEnabled (void) const =0
| 雲が有効かどうかを確認します More...
virtual void | SetCloudEnabled (Boolean state)=0
| 雲を有効にするかどうかを設定します More...
virtual UInt32 | GetCloudLayerNum (void) const =0
| 雲のレイヤー数を取得します More...
virtual Boolean | GetCloudLayerTexture (UInt32 layerIndex, Mix::Graphics::ITexture **ppTex)=0
| 雲のレイヤーテクスチャを取得します More...
virtual Boolean | SetCloudLayerTexture (UInt32 layerIndex, Mix::Graphics::ITexture *pTex)=0
| 雲のレイヤーテクスチャを設定します More...
virtual const Mix::Scene::ISkyDome::CLOUD_LAYER_SETTINGS & | GetCloudLayerSettings (UInt32 layerIndex) const =0
| 雲のレイヤーの設定を取得します More...
virtual UInt32 | SetCloudLayerSettings (const Mix::Scene::ISkyDome::CLOUD_LAYER_SETTINGS *settings, UInt32 num)=0
| 雲のレイヤーを設定します More...
virtual UInt32 | LockCloudLayerSettings (Mix::Scene::ISkyDome::CLOUD_LAYER_SETTINGS **settings, UInt32 num)=0
| 雲のレイヤー設定をロックします More...
virtual const Mix::Scene::ISkyDome::CLOUD_GLOBAL_SETTINGS & | GetCloudGlobalSettings (void) const =0
| 雲のグローバル設定を取得します More...
virtual void | SetCloudGlobalSettings (const Mix::Scene::ISkyDome::CLOUD_GLOBAL_SETTINGS &settings)=0
| 雲のグローバル設定をします More...
virtual void | ResetCloud (void)=0
| 雲をリセットします More...
パノラマ ( 遠景 )
virtual Boolean | ExistsPanorama (void) const =0
| 遠景が存在しているかどうかを確認します More...
virtual Mix::Scene::ISkyDome::QUALITY | GetPanoramaQuality (void) const =0
| 遠景の品質を取得します More...
virtual Boolean | IsPanoramaEnabled (void) const =0
| 遠景が有効かどうかを取得します More...
virtual void | SetPanoramaEnabled (Boolean state)=0
| 遠景を有効にするかどうかを設定します More...
virtual const Mix::Scene::ISkyDome::PANORAMA_SETTINGS & | GetPanoramaSettings (void) const =0
| 遠景の設定を取得します More...
virtual void | SetPanoramaSettings (const Mix::Scene::ISkyDome::PANORAMA_SETTINGS &settings)=0
| 遠景を設定します More...
virtual Boolean | GetPanoramaTexture (Mix::Graphics::ITexture **ppTex)=0
| 遠景のテクスチャを取得します More...
virtual void | SetPanoramaTexture (Mix::Graphics::ITexture *pTex)=0
| 遠景のテクスチャを設定します More...
virtual Mix::Vector2 | GetPanoramaTextureAspectRatio (void) const =0
| 現在設定されている遠景のパラメータに基づいて、テクスチャのアスペクト比を取得します More...
Public Member Functions inherited from Mix::Scene::IRendererObject
virtual Mix::Scene::IRendererObject::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | IsRendering (void) const =0
| レンダリングされているかどうかを確認します。 More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~ISkyDome (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IRendererObject
virtual | ~IRendererObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

スカイドームインターフェース

## Member Enumeration Documentation

enum Mix::Scene::ISkyDome::QUALITY

品質列挙定数

Enumerator
QL_LOW | 低 : ドーム( 10分割 ) 遠景( 6分割 )
QL_MIDDLE | 中 : ドーム( 20分割 ) 遠景( 8分割 )
QL_HIGH | 高 : ドーム( 30分割 ) 遠景( 12分割 )

enum Mix::Scene::ISkyDome::CONSTRAINT_TYPE

コンストレイントタイプ

Enumerator
CR_XYZ | XYZ固定
CR_XZ | XZ固定

## Constructor & Destructor Documentation

virtual Mix::Scene::ISkyDome::~ISkyDome | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual Boolean Mix::Scene::ISkyDome::IsEnabled | ( | void |  | ) | const

pure virtual

有効かどうかを取得します

Returns
  有効な場合は True を返します

virtual void Mix::Scene::ISkyDome::SetEnabled | ( | Boolean | state | ) |

pure virtual

有効にするかどうかを設定します

Parameters

  [in] | state | 有効にする場合は True

virtual Mix::Scene::ISkyDome::CONSTRAINT_TYPE Mix::Scene::ISkyDome::GetConstraintType | ( | void |  | ) | const

pure virtual

拘束タイプを取得します

Returns
  タイプを表す Mix::Scene::ISkyDome::CONSTRAINT_TYPE 列挙定数を返します

virtual void Mix::Scene::ISkyDome::SetConstraintType | ( | Mix::Scene::ISkyDome::CONSTRAINT_TYPE | type | ) |

pure virtual

拘束タイプを設定します

Parameters

  [in] | type | タイプを表す Mix::Scene::ISkyDome::CONSTRAINT_TYPE 列挙定数

virtual Mix::Scene::ISkyDome::QUALITY Mix::Scene::ISkyDome::GetHemisphereQuality | ( | void |  | ) | const

pure virtual

半球の品質を取得します

Returns
  品質を表す Mix::Scene::ISkyDome::QUALITY 列挙定数を返します

virtual const Mix::Scene::ISkyDome::HEMISPHERE_SETTINGS& Mix::Scene::ISkyDome::GetHemisphereSettings | ( | void |  | ) | const

pure virtual

半球の設定を取得します

Returns
  設定を表す Mix::Scene::ISkyDome::HEMISPHERE_SETTINGS 構造体を返します

virtual void Mix::Scene::ISkyDome::SetHemisphereSettings | ( | const Mix::Scene::ISkyDome::HEMISPHERE_SETTINGS & | settings | ) |

pure virtual

半球を設定します

Parameters

  [in] | settings | 設定を表す Mix::Scene::ISkyDome::HEMISPHERE_SETTINGS 構造体

virtual const Mix::Scene::ISkyDome::PLANET_INFO& Mix::Scene::ISkyDome::GetPlanetInfo | ( | void |  | ) | const

pure virtual

惑星の情報を取得します

Returns
  情報を表す Mix::Scene::ISkyDome::PLANET_INFO 構造体を返します

Note
  惑星の情報は半球の設定により更新されます。

virtual const Mix::Vector3& Mix::Scene::ISkyDome::GetSunPosition | ( | void |  | ) | const

pure virtual

太陽の位置を取得します

Returns
  位置を表す Mix::Vector3 クラスを返します

virtual void Mix::Scene::ISkyDome::SetSunPosition | ( | const Mix::Vector3 & | pos | ) |

pure virtual

太陽の位置を設定します

Parameters

  [in] | pos | 位置を表す Mix::Vector3 クラス

Note
  ここで設定される位置は原点( 0.0f, 0.0f, 0.0f )を中心とした位置ではなく、
  惑星の中心( PLANET_INFO::coreOffset )を原点とした相対位置になります。

virtual const Mix::Scene::ISkyDome::SUN_LIGHT& Mix::Scene::ISkyDome::GetSunLight | ( | void |  | ) | const

pure virtual

太陽によるライティングを取得します

Returns
  ライティングを表す Mix::Scene::ISkyDome::SUN_LIGHT 構造体を返します

virtual const Mix::Scene::ISkyDome::BASE_SETTINGS& Mix::Scene::ISkyDome::GetBaseSettings | ( | void |  | ) | const

pure virtual

ベースの設定を取得します

Returns
  設定を表す Mix::Scene::ISkyDome::BASE_SETTINGS 構造体を返します

virtual void Mix::Scene::ISkyDome::SetBaseSettings | ( | const Mix::Scene::ISkyDome::BASE_SETTINGS & | settings | ) |

pure virtual

ベースを設定します

Parameters

  [in] | settings | 設定を表す Mix::Scene::ISkyDome::BASE_SETTINGS 構造体

virtual Boolean Mix::Scene::ISkyDome::GetBaseTexture | ( | Mix::Graphics::ITexture ** | ppTexture | ) |

pure virtual

ベースのテクスチャを取得します

Parameters

  [out] | ppTexture | 取得したテクスチャを渡す Mix::Graphics::ITexture インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  取得に成功した場合は、テクスチャの参照カウンタを +1 します

virtual void Mix::Scene::ISkyDome::SetBaseTexture | ( | Mix::Graphics::ITexture * | pTexture | ) |

pure virtual

ベースのテクスチャを設定します

Parameters

  [in] | pTexture | 設定するテクスチャを表す Mix::Graphics::ITexture インターフェースのポインタ

Note
  設定されたテクスチャは、参照カウンタを +1 します

virtual Boolean Mix::Scene::ISkyDome::IsCloudEnabled | ( | void |  | ) | const

pure virtual

雲が有効かどうかを確認します

Returns
  有効な場合は True を返します

virtual void Mix::Scene::ISkyDome::SetCloudEnabled | ( | Boolean | state | ) |

pure virtual

雲を有効にするかどうかを設定します

Parameters

  [in] | state | 有効にする場合は True

virtual UInt32 Mix::Scene::ISkyDome::GetCloudLayerNum | ( | void |  | ) | const

pure virtual

雲のレイヤー数を取得します

Returns
  レイヤーの数を返します

virtual Boolean Mix::Scene::ISkyDome::GetCloudLayerTexture | ( | UInt32 | layerIndex,
|  | Mix::Graphics::ITexture ** | ppTex
| ) |  |

pure virtual

雲のレイヤーテクスチャを取得します

Parameters

  [in] | layerIndex | レイヤーのインデックス( 0〜1 )
  [out] | ppTex | 取得したテクスチャを渡す Mix::Graphics::ITexture インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

virtual Boolean Mix::Scene::ISkyDome::SetCloudLayerTexture | ( | UInt32 | layerIndex,
|  | Mix::Graphics::ITexture * | pTex
| ) |  |

pure virtual

雲のレイヤーテクスチャを設定します

Parameters

  [in] | layerIndex | レイヤーのインデックス( 0〜1 )
  [in] | pTex | 設定するテクスチャを表す Mix::Graphics::ITexture インターフェースのポインタ( NULL 指定可能 )

Returns
  成功した場合は True を返します

virtual const Mix::Scene::ISkyDome::CLOUD_LAYER_SETTINGS& Mix::Scene::ISkyDome::GetCloudLayerSettings | ( | UInt32 | layerIndex | ) | const

pure virtual

雲のレイヤーの設定を取得します

Parameters

  [in] | layerIndex | レイヤーのインデックス( 0〜1 )

Returns
  設定を表す Mix::Scene::ISkyDome::CLOUD_LAYER_SETTINGS 構造体を返します

virtual UInt32 Mix::Scene::ISkyDome::SetCloudLayerSettings | ( | const Mix::Scene::ISkyDome::CLOUD_LAYER_SETTINGS * | settings,
|  | UInt32 | num
| ) |  |

pure virtual

雲のレイヤーを設定します

Parameters

  [in] | settings | 設定を表す Mix::Scene::ISkyDome::CLOUD_LAYER_SETTINGS 構造体の配列
  [in] | num | 設定の数( num <= 2 )

Returns
  実際に設定したパラメータの数を返します

virtual UInt32 Mix::Scene::ISkyDome::LockCloudLayerSettings | ( | Mix::Scene::ISkyDome::CLOUD_LAYER_SETTINGS ** | settings,
|  | UInt32 | num
| ) |  |

pure virtual

雲のレイヤー設定をロックします

Parameters

  [out] | settings | ロックしたパラメータを表す Mix::Scene::ISkyDome::CLOUD_LAYER_SETTINGS 構造体のポインタのアドレス
  [in] | num | ロックする設定の数

Returns
  実際にロックした設定の数を返します

Note
  このメソッドは設定配列を取得すると同時にレイヤー数( num )を設定します

virtual const Mix::Scene::ISkyDome::CLOUD_GLOBAL_SETTINGS& Mix::Scene::ISkyDome::GetCloudGlobalSettings | ( | void |  | ) | const

pure virtual

雲のグローバル設定を取得します

Returns
  雲の設定を表す Mix::Scene::ISkyDome::CLOUD_GLOBAL_SETTINGS 構造体を返します

virtual void Mix::Scene::ISkyDome::SetCloudGlobalSettings | ( | const Mix::Scene::ISkyDome::CLOUD_GLOBAL_SETTINGS & | settings | ) |

pure virtual

雲のグローバル設定をします

Parameters

  [in] | settings | 設定を表す Mix::Scene::ISkyDome::CLOUD_GLOBAL_SETTINGS 構造体

virtual void Mix::Scene::ISkyDome::ResetCloud | ( | void |  | ) |

pure virtual

雲をリセットします

Note
  Mix::Scene::ISkyDome::CLOUD_LAYER_SETTINGS 構造体の initialTex の値を雲のテクスチャ座標に反映します。

virtual Boolean Mix::Scene::ISkyDome::ExistsPanorama | ( | void |  | ) | const

pure virtual

遠景が存在しているかどうかを確認します

Returns
  存在している場合は True を返します

virtual Mix::Scene::ISkyDome::QUALITY Mix::Scene::ISkyDome::GetPanoramaQuality | ( | void |  | ) | const

pure virtual

遠景の品質を取得します

Returns
  品質を表す Mix::Scene::ISkyDome::QUALITY 列挙定数を返します

virtual Boolean Mix::Scene::ISkyDome::IsPanoramaEnabled | ( | void |  | ) | const

pure virtual

遠景が有効かどうかを取得します

Returns
  有効な場合は True を返します

virtual void Mix::Scene::ISkyDome::SetPanoramaEnabled | ( | Boolean | state | ) |

pure virtual

遠景を有効にするかどうかを設定します

Parameters

  [in] | state | 有効にする場合は True

virtual const Mix::Scene::ISkyDome::PANORAMA_SETTINGS& Mix::Scene::ISkyDome::GetPanoramaSettings | ( | void |  | ) | const

pure virtual

遠景の設定を取得します

Returns
  パラメータを表す Mix::Scene::ISkyDome::PANORAMA_SETTINGS 構造体を返します

virtual void Mix::Scene::ISkyDome::SetPanoramaSettings | ( | const Mix::Scene::ISkyDome::PANORAMA_SETTINGS & | settings | ) |

pure virtual

遠景を設定します

Parameters

  [in] | settings | 設定を表す Mix::Scene::ISkyDome::PANORAMA_SETTINGS 構造体

virtual Boolean Mix::Scene::ISkyDome::GetPanoramaTexture | ( | Mix::Graphics::ITexture ** | ppTex | ) |

pure virtual

遠景のテクスチャを取得します

Parameters

  [out] | ppTex | テクスチャを表す Mix::Graphics::ITexture インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

virtual void Mix::Scene::ISkyDome::SetPanoramaTexture | ( | Mix::Graphics::ITexture * | pTex | ) |

pure virtual

遠景のテクスチャを設定します

Parameters

  [in] | pTex | テクスチャを表す Mix::Graphics::ITexture インターフェース

virtual Mix::Vector2 Mix::Scene::ISkyDome::GetPanoramaTextureAspectRatio | ( | void |  | ) | const

pure virtual

現在設定されている遠景のパラメータに基づいて、テクスチャのアスペクト比を取得します

Returns
  アスペクト比を表す Mix::Vector2 クラスを返します

The documentation for this class was generated from the following file:

- Mix/Scene/ISkyDome.h